%define	name	dnstouch
%define	version	0.4
%define	release	2mdk

Summary:	Incrementally updates bind v8+ zone file serial numbers.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Other
URL:		http://uranus.it.swin.edu.au/~jn/linux/dns.htm
Source0:	http://uranus.it.swin.edu.au/~jn/linux/ndu-%{version}.tar.bz2
Source1:	ndu.conf
Patch0:		ndu-opt.patch.bz2
Patch1:		ndu-verbose.patch.bz2
Requires:	ed /bin/sh bind
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
dnstouch incrementally updates bind v8+ zone file serial numbers.

%prep
rm -rf %{buildroot}

%setup -q -n ndu-%{version}
%patch0 -p0
%patch1 -p0 

%build
export CFLAGS="%{optflags}"
make -C src dnstouch

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}
install -m 755 src/dnstouch %{buildroot}%{_bindir}/dnstouch
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README INSTALL
%{_bindir}/dnstouch
%{_sysconfdir}/ndu.conf

%changelog
* Mon Nov 26 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4-2mdk
- initial cooker contrib
- spec file cleanups

* Sun Feb 11 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4-1mdk
- update to 0.4
- this one now accepts UTF8 zones

* Mon Feb 5 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3-2mdk
- only use the dnstouch software for now...

* Mon Feb 5 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3-1mdk
- mandrakified the package...

* Mon Feb 05 2001 John Newbigin <jn@it.swin.edu.au>
- Update to version 0.3
- Added requires

* Fri Feb 02 2001 John Newbigin <jn@it.swin.edu.au>
- First attempt at spec file

